<script setup>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import { Head, useForm } from '@inertiajs/vue3';
import BackMobile from "@/Components/Items/Auth/BackMobile.vue";

const props = defineProps({
    errors: Object,
    status:Object,
    email: {
        type: String,
        required: true,
    },
    token: {
        type: String,
        required: true,
    },
});

const form = useForm({
    token: props.token,
    email: props.email,
    password: '',
    password_confirmation: '',
});

const submit = () => {
    form.post(route('password.store'), {
        preserveScroll: true,
        onFinish: () => {
            form.reset('password', 'password_confirmation')
        },
    });
};
</script>

<template>
    <GuestLayout>
        <Head title="Восстановить пароль" />
        <BackMobile/>
        <section class="auth">
            <img class="reg__background" src="/img/authBackDark.svg" alt="">
            <img class="reg__background dark" src="/img/authBack.svg" alt="">
            <div class="container">
                <div class="auth__inner">
                    <p class="auth__title">Восстановить пароль</p>
                    <p class="auth__subtitle">Пожалуйста введите данные</p>
                    <form @submit.prevent="submit" class="auth__form bigMt" >
                        <input v-model="form.email" class="auth__input" type="text" placeholder="E-mail">
                        <input v-model="form.password" class="auth__input" type="password" placeholder="Введите пароль">
                        <input v-model="form.password_confirmation" class="auth__input" type="password" placeholder="Введите пароль повторно">
                        <template v-for="error in errors">
                            <p  class="auth__error">{{ error }}</p>
                        </template>
                        <button class="auth__button button effect" type="submit">Восстановить пароль</button>
                    </form>
                </div>
            </div>
        </section>
    </GuestLayout>
</template>
